<?php
//============================================
require 'wa-api.php';
//============================================
    date_default_timezone_set("Asia/Jakarta");
    $jsondata   = file_get_contents("jadwal.json");
    $data       = json_decode($jsondata, true);
    $jsondata   = file_get_contents("data.json");
    $data1      = json_decode($jsondata,true);   

function tanggal_indo($tanggal, $cetak_hari = false){
    $hari = array ( 1 =>    'Senin',
				'Selasa',
                'Rabu',
                'Kamis',
                'Jumat',
                'Sabtu',
                'Minggu'
            );
                
    $bulan = array (1 =>   'Januari',
                'Februari',
                'Maret',
                'April',
                'Mei',
                'Juni',
                'Juli',
                'Agustus',
                'September',
                'Oktober',
                'November',
                'Desember'
            );
    $split 	  = explode('-', $tanggal);
    $tgl_indo = $split[2] . ' ' . $bulan[ (int)$split[1] ] . ' ' . $split[0];
        
    if ($cetak_hari) {
        $num = date('N', strtotime($tanggal));
        return $hari[$num] . ', ' . $tgl_indo;
    }
    return $tgl_indo;
}

function dateFormat($arg){
    return tanggal_indo(date("Y-m-d",(int)$arg),true);
}

$text = "Hallo Faiz, Electra Band Sudah masuk di jadwal Live Musik Onado Pada hari Sabtu, 4 Juni 2022. \n\n*Ini Merupakan Pesan Otomatis dari Onado.";

// echo SendText("6285776762713",$text);


// foreach($data as $value){

//         foreach ($data1 as $key => $d) {
//             if ($d['id'] == $value['bandId']) {
//                 $nama       = $d['nama'];
//                 $pic        = $d['pic'];
//                 $keterangan = $d['keterangan'];
//                 $kontak     = $d['kontak'];
//                 $tanggal = dateFormat($value['date']);
                
//                 echo $text = "Hallo $pic, $nama Sudah masuk di jadwal Live Musik Onado Pada hari $tanggal. \n\n*Ini Merupakan Pesan Otomatis dari Onado.";
     
//             }
//         } 
// }

foreach($data as $value){

    $date = date("Y-m-d",(int)$value['date']);
    $aDayBefore = date('Y-m-d', strtotime($date . " -1 days"));
    $now = date("Y-m-d"); 
    // echo dateFormat(strtotime($date . " -1 days"));
    if(($aDayBefore == $now)) {
        foreach ($data1 as $key => $d) {
            if ($d['id'] == $value['bandId']) {
                $nama       = $d['nama'];
                $pic        = $d['pic'];
                $keterangan = $d['keterangan'];
                $kontak     = $d['kontak'];
                $tanggal = dateFormat($value['date']);
                
                $text = "Hallo $pic, Besok Pada hari *$tanggal* jadwal $nama isi Live Musik di Onado nih, jangan lupa yaa . \n\nCek Jadwal Lengkapnya di http://onado.cafe \n\n*Ini Merupakan Pesan Otomatis dari Onado Team.";
                echo SendText($kontak,$text);
                SendText("6285776762713","Hallo Faiz, Besok Pada hari *$tanggal* jadwal $nama isi Live Musik di Onado nih. \n\nCek Jadwal Lengkapnya di http://onado.cafe \n\n*Ini Merupakan Pesan Otomatis dari Onado Team.");
                // SendText("6285939599035","Hallo Donna, Besok Pada hari *$tanggal* jadwal $nama isi Live Musik di Onado nih. \n\nCek Jadwal Lengkapnya di http://onado.cafe \n\n*Ini Merupakan Pesan Otomatis dari Onado Team.");
                // SendText("6281287557062","Hallo Mega, Besok Pada hari *$tanggal* jadwal $nama isi Live Musik di Onado nih. \n\nCek Jadwal Lengkapnya di http://onado.cafe \n\n*Ini Merupakan Pesan Otomatis dari Onado Team.");
                SendText("6281384612790","Hallo Godel, Besok Pada hari *$tanggal* jadwal $nama isi Live Musik di Onado nih. \n\nCek Jadwal Lengkapnya di http://onado.cafe \n\n*Ini Merupakan Pesan Otomatis dari Onado Team.");
            }
        } 
    }  
}